* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}

html, body {
    height: 100%;
}

body {
    background-color: #ededed;
}

.needsclick {
    cursor: pointer;
}

[tooltip]:before {            
    position: absolute;
    content: attr(tooltip);
    opacity: 0;
    top: -15px;
    background-color: #636262;
    color: white;
    padding: 3px 6px;
    white-space: nowrap;
}

[tooltip]:hover:before {        
    opacity: 1;
}

.wrapper {
    width: 90%;
    margin: 0 auto;
    position: relative;
}

.spinner {
    background: url('../images/spinner.svg') no-repeat;
    background-size: 70px 70px;
    width: 70px;
    height: 70px;
}

.right {
    float: right;
}

.button__default {
    display: block;
    background-color: #f7636a;
    color: white;
    padding: 12px 20px;
    font-size: 12px;
    cursor: pointer;
}

.button__default:hover {
    background-color: #c93d3d;
}

.tvguide-controls {
    margin: 20px 0;
}

.tvguide-controls__side {
    display: inline-block;
}

.datecontrol{
    display: inline-block;
}

.datecontrol__day {
    display: inline-block;
    margin-right: 5px;
    text-align: center;
    cursor: pointer;
}

.datecontrol__day__day {
    font: 12px;
    display: block;
}

.datecontrol__day__number {
    font-size: 11px;
    line-height: 12px;
    display: block;
    color: #000;
    background-color: #fff;
    padding: 6px;
    border-radius: 50%;
    margin-top: 2px;
    width: 24px;
    height: 24px;
}

.datecontrol__day__current .datecontrol__day__number {
    background-color: #4090d8;
    color: #fff;    
}

.tvguide-controls__now {
    display: inline-block;
    margin-left: 30px;
    position: relative;
    top: 5px;
}

.tvguide-controls__channelselect {
    position: relative;
    top: 5px;
}

.tvguide-filters{
    margin-top: 20px;
}

.tvguide-filters__genre {
    display: inline-block;
    margin: 0 10px 0 0;
}

.tvguide {
    position:relative;
    overflow: hidden;
}

.swiper {
    height: 25px;
    margin-bottom: 5px;
}

.swiper__arrow {
    cursor: pointer;
    width: 25px;
    height: 25px;
    background-color: #dbdbdc;
    position: absolute;
}

.swiper__arrow__left {
    left: 0px;
}

.swiper__arrow__right {
    right: 0px;
}

.swiper__scrollbar {
    height: 25px;
    border: 1px solid #dbdada;
    width: auto;
    position: absolute;
    left: 30px;
    right: 30px;
    cursor: pointer;
    background-color: #ededed;
}

.swiper__scrollbar__drag {
    background-color: #bbbcbf;
    height: 100%;
    width: 100%;
    border: 3px solid #ededed;
    position: relative;
}

.tvguide__channels {
    width: 70px;
    display: block;
    list-style-type: none;
    background-color: white;
    position: absolute;
    top: 50px;
    z-index: 1;
}

.tvguide__channels__channel {
    width: 70px;
    height: 70px;
    background: url('../images/channels.png') no-repeat;
    border-right: 1px solid #eee;
    border-bottom: 1px solid #eee;
}

.timemarker {
    width: 1px;
    background-color: #f7636a;
    position: absolute;
    top: 33px;
    bottom: 0px;
    z-index: 1;
}

.timemarker__marker {
    margin-left: -6px;
}

.timeline {
    background-color: #e5e4e4;
    height: 50px;
    list-style: none;
    overflow: hidden;
}

.timeline__hour {
    display: block;
    border-left: 1px solid #d8d8d8;
    height: 50px;
    padding-left: 9px;
    font-size: 16px;
    line-height: 50px;
    float:left;
    width: 300px;
}

.channellist {
    border-top: 1px solid #e4e4e4;
    border-bottom: 1px solid #e4e4e4;
    margin: 20px 0;
    padding: 20px 0;
}

.channellist__channel {
    width: 20%;
    display: inline-block;
    padding: 5px 0;
}

.tvguide__guide__channels {
    background-color: #fff;
}

.tvguide__guide__channels__channel {
    height: 70px;
    border-bottom: 1px solid #eee;
    list-style: none;
    position: relative;
}

.tvevent {
    height: 100%;
    position: absolute;
    border-left: 1px solid #ededed;
    padding: 16px 5px;
    font-size: 12px;
}

.tvevent__unselected {
    opacity: .2;
}

.tvevent__title {
    color: #000;
}

.tvevent__title__now {
    color: #f7636a;
}

.tvevent__title__past {
    color: #898989;
}

.tvevent__time{
    color: #898989;
}

.tvevent span {
    display: block;
    padding: 0 0 7px 0;
}

.modal {
    background: #fff;
    position: fixed;
    margin: 0 auto;
    padding: 35px;
    max-width: 1000px;
    left: 50%;
    top: 50%;
    width: 85%;
    z-index: 2;
    transform: translate(-50%, -50%);
}

.modal__close {
    position:absolute;
    top: 10px;
    right: 25px;
    cursor: pointer;
}

.modal__confirm {
    display: inline-block;
}

.overlay {
    background-color: rgba(0,0,0,.35);
    height: 100%;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1;
}

.hidden {
    display: none;
}

@media (max-width: 767px){
    .timeline__hour {
        height: 25px;
        width: 100px;
        line-height: 25px;
    }
    .timeline {
        height: 25px;
    }
}
@media (max-width: 550px){
    .channellist__channel{
        width: 50%;
    }
}
